> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wiza.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Technologies

> Search the technology catalog for names and slugs accepted by the Prospect API technologies filter.



## OpenAPI

````yaml /swagger/v1/openapi.yaml get /api/meta/technology_autocomplete
openapi: 3.0.1
info:
  title: Wiza API Documentation
  version: v1
servers:
  - url: https://wiza.co
    variables:
      defaultHost:
        default: wiza.co
security: []
paths:
  /api/meta/technology_autocomplete:
    get:
      tags:
        - Prospects
      summary: Search Technologies
      description: >-
        Search the technology catalog for names and slugs accepted by the
        Prospect API technologies filter.
      parameters:
        - name: query
          in: query
          required: true
          description: >-
            Technology name or slug prefix. Must be a non-blank string
            containing at least 3 characters.
          schema:
            type: string
            minLength: 3
            example: aws
      responses:
        '200':
          description: successful
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - data
                properties:
                  status:
                    type: object
                    required:
                      - code
                      - message
                    properties:
                      code:
                        type: integer
                        example: 200
                      message:
                        type: string
                        example: ''
                  data:
                    type: array
                    items:
                      type: object
                      required:
                        - slug
                        - name
                      properties:
                        slug:
                          type: string
                          example: amazon-web-services
                        name:
                          type: string
                          example: Amazon Web Services (AWS)
        '400':
          description: Invalid query
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                properties:
                  status:
                    type: object
                    required:
                      - code
                      - message
                    properties:
                      code:
                        type: integer
                        example: 400
                      message:
                        type: string
                        enum:
                          - Query is required
                          - Query must be a string
                          - Query must be at least 3 characters
        '401':
          description: Unauthorized
      security:
        - bearer_auth: []
components:
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      description: >-
        Enter your bearer token (your API key) in the **Authorization** header
        in the format `Bearer {token}`

````